Show / Hide Table of Contents

# Class OpenIddictConstants.Parameters

##### Inheritance

System.Object
OpenIddictConstants.Parameters

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Parameters

### Fields

#### AccessToken

##### Declaration

    public const string AccessToken = "access_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### AcrValues

##### Declaration

    public const string AcrValues = "acr_values"

##### Field Value

Type | Description
--- | ---
System.String |

#### Active

##### Declaration

    public const string Active = "active"

##### Field Value

Type | Description
--- | ---
System.String |

#### Assertion

##### Declaration

    public const string Assertion = "assertion"

##### Field Value

Type | Description
--- | ---
System.String |

#### Audience

##### Declaration

    public const string Audience = "audience"

##### Field Value

Type | Description
--- | ---
System.String |

#### Claims

##### Declaration

    public const string Claims = "claims"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimsLocales

##### Declaration

    public const string ClaimsLocales = "claims_locales"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientAssertion

##### Declaration

    public const string ClientAssertion = "client_assertion"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientAssertionType

##### Declaration

    public const string ClientAssertionType = "client_assertion_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientId

##### Declaration

    public const string ClientId = "client_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClientSecret

##### Declaration

    public const string ClientSecret = "client_secret"

##### Field Value

Type | Description
--- | ---
System.String |

#### Code

##### Declaration

    public const string Code = "code"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallenge

##### Declaration

    public const string CodeChallenge = "code_challenge"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallengeMethod

##### Declaration

    public const string CodeChallengeMethod = "code_challenge_method"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeVerifier

##### Declaration

    public const string CodeVerifier = "code_verifier"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceCode

##### Declaration

    public const string DeviceCode = "device_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### Display

##### Declaration

    public const string Display = "display"

##### Field Value

Type | Description
--- | ---
System.String |

#### Error

##### Declaration

    public const string Error = "error"

##### Field Value

Type | Description
--- | ---
System.String |

#### ErrorDescription

##### Declaration

    public const string ErrorDescription = "error_description"

##### Field Value

Type | Description
--- | ---
System.String |

#### ErrorUri

##### Declaration

    public const string ErrorUri = "error_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### ExpiresIn

##### Declaration

    public const string ExpiresIn = "expires_in"

##### Field Value

Type | Description
--- | ---
System.String |

#### GrantType

##### Declaration

    public const string GrantType = "grant_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdentityProvider

##### Declaration

    public const string IdentityProvider = "identity_provider"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdToken

##### Declaration

    public const string IdToken = "id_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdTokenHint

##### Declaration

    public const string IdTokenHint = "id_token_hint"

##### Field Value

Type | Description
--- | ---
System.String |

#### Keys

##### Declaration

    public const string Keys = "keys"

##### Field Value

Type | Description
--- | ---
System.String |

#### LoginHint

##### Declaration

    public const string LoginHint = "login_hint"

##### Field Value

Type | Description
--- | ---
System.String |

#### MaxAge

##### Declaration

    public const string MaxAge = "max_age"

##### Field Value

Type | Description
--- | ---
System.String |

#### Nonce

##### Declaration

    public const string Nonce = "nonce"

##### Field Value

Type | Description
--- | ---
System.String |

#### Password

##### Declaration

    public const string Password = "password"

##### Field Value

Type | Description
--- | ---
System.String |

#### PostLogoutRedirectUri

##### Declaration

    public const string PostLogoutRedirectUri = "post_logout_redirect_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### Prompt

##### Declaration

    public const string Prompt = "prompt"

##### Field Value

Type | Description
--- | ---
System.String |

#### Realm

##### Declaration

    public const string Realm = "realm"

##### Field Value

Type | Description
--- | ---
System.String |

#### RedirectUri

##### Declaration

    public const string RedirectUri = "redirect_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### RefreshToken

##### Declaration

    public const string RefreshToken = "refresh_token"

##### Field Value

Type | Description
--- | ---
System.String |

#### Registration

##### Declaration

    public const string Registration = "registration"

##### Field Value

Type | Description
--- | ---
System.String |

#### Request

##### Declaration

    public const string Request = "request"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestId

##### Declaration

    public const string RequestId = "request_id"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestUri

##### Declaration

    public const string RequestUri = "request_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### Resource

##### Declaration

    public const string Resource = "resource"

##### Field Value

Type | Description
--- | ---
System.String |

#### ResponseMode

##### Declaration

    public const string ResponseMode = "response_mode"

##### Field Value

Type | Description
--- | ---
System.String |

#### ResponseType

##### Declaration

    public const string ResponseType = "response_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### Scope

##### Declaration

    public const string Scope = "scope"

##### Field Value

Type | Description
--- | ---
System.String |

#### State

##### Declaration

    public const string State = "state"

##### Field Value

Type | Description
--- | ---
System.String |

#### Token

##### Declaration

    public const string Token = "token"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenType

##### Declaration

    public const string TokenType = "token_type"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenTypeHint

##### Declaration

    public const string TokenTypeHint = "token_type_hint"

##### Field Value

Type | Description
--- | ---
System.String |

#### UiLocales

##### Declaration

    public const string UiLocales = "ui_locales"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserCode

##### Declaration

    public const string UserCode = "user_code"

##### Field Value

Type | Description
--- | ---
System.String |

#### Username

##### Declaration

    public const string Username = "username"

##### Field Value

Type | Description
--- | ---
System.String |

#### VerificationUri

##### Declaration

    public const string VerificationUri = "verification_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### VerificationUriComplete

##### Declaration

    public const string VerificationUriComplete = "verification_uri_complete"

##### Field Value

Type | Description
--- | ---
System.String |